summaryrefslogtreecommitdiffstats
path: root/testing/source/k/kernel-source.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-11-16 03:31:45 +0000
committer Eric Hameleers <alien@slackware.com>2019-11-16 08:59:50 +0100
commit5639d3518ef4a35d74c6057cb69b994d3a927686 (patch)
treecc19d8a8d616b143f16fa1a573f08205cf2ab184 /testing/source/k/kernel-source.SlackBuild
parent07858e75be1040d3eab888c2328a53440c28257d (diff)
downloadcurrent-51d3784e7a54a063a56756020ec15db05cff8a4d.tar.gz
current-51d3784e7a54a063a56756020ec15db05cff8a4d.tar.xz
Sat Nov 16 03:31:45 UTC 201920191116033145
ap/alsa-utils-1.2.1-x86_64-1.txz: Upgraded. l/alsa-lib-1.2.1-x86_64-1.txz: Upgraded. l/alsa-plugins-1.2.1-x86_64-1.txz: Upgraded. l/imagemagick-7.0.9_4-x86_64-1.txz: Upgraded. extra/pure-alsa-system/alsa-lib-1.2.1-x86_64-1_alsa.txz: Upgraded. extra/pure-alsa-system/alsa-plugins-1.2.1-x86_64-1_alsa.txz: Upgraded. testing/packages/kernel-generic-5.4.0_rc7-x86_64-2.txz: Rebuilt. testing/packages/kernel-headers-5.4.0_rc7-x86-2.txz: Rebuilt. testing/packages/kernel-huge-5.4.0_rc7-x86_64-2.txz: Rebuilt. testing/packages/kernel-modules-5.4.0_rc7-x86_64-2.txz: Rebuilt. testing/packages/kernel-source-5.4.0_rc7-noarch-2.txz: Rebuilt. CRYPTO_CRC32C_INTEL m -> y Make modules before cleaning up the source tree. This does some magic in Module.symvers that fixes building the NVIDIA kernel modules.
Diffstat (limited to 'testing/source/k/kernel-source.SlackBuild')
-rwxr-xr-xtesting/source/k/kernel-source.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/testing/source/k/kernel-source.SlackBuild b/testing/source/k/kernel-source.SlackBuild
index 26b5ed924..a715aff46 100755
--- a/testing/source/k/kernel-source.SlackBuild
+++ b/testing/source/k/kernel-source.SlackBuild
@@ -146,8 +146,9 @@ echo "Untarring $CWD/linux-${VERSION}.tar.?z in $PKG/usr/src..."
echo "Saving new .config as: $CWD/kernel-configs/config-generic${LOCALVERSION}-${VERSION}${LOCALVERSION}${CONFIG_SUFFIX}"
cp -a .config $CWD/kernel-configs/config-generic${LOCALVERSION}-${VERSION}${LOCALVERSION}${CONFIG_SUFFIX}
fi
- echo "Building kernel..."
- make ${NUMJOBS} bzImage || make bzImage || exit 1
+ echo "Building kernel and modules (needed before clean for building NVIDIA to work)..."
+ make ${NUMJOBS} || exit 1
+ make ${NUMJOBS} modules || exit 1
echo "Cleaning up..."
make clean
# Make sure header files aren't missing...
@@ -155,7 +156,7 @@ echo "Untarring $CWD/linux-${VERSION}.tar.?z in $PKG/usr/src..."
# Don't package the kernel in the sources:
find . -name "*Image" -exec rm "{}" \+
# No need for these:
- rm -f .config.old .version modules.*
+ rm -f .config.old .version
find . -name "*.cmd" -exec rm -f "{}" \+
rm .*.d
# Still some dotfiles laying around... probably fine though